Subject: Re: [bug#64755] [PATCH] gnu: git-modes -> emacs-git-modes.

From: Ahmad Draidi <[email-masked]>
Date: Sat, 22 Jul 2023 14:15:52 +0400

Hello,

Liliana Marie Prikler <[email-masked]> writes:

> Am Freitag, dem 21.07.2023 um 00:49 +0400 schrieb Ahmad Draidi:
>> * gnu/packages/emacs-xyz.scm (emacs-git-modes): New variable.
>> (git-modes): Deprecate variable.
>> ---
>>
>> This makes the package name consistent when installing it 
>> through
>> 'guix package -i' and a variable name in a system declaration 
>> file
>> (e.g. /etc/config.scm). It finishes the job in #29582.
>>
>> Not sure if the deprecation method I used is optimal, since it 
>> brings
>> back to life the package name 'git-modes'. However, putting 
>> 'emacs-
>> git-modes' in 'old-name' causes 'warning: ambiguous package
>> specification', as expected.
> There is define-deprecated/public, as well as more idiomatic 
> ways of
> writing the commit message, i.e.
>
I grepped the repo, but managed to miss 'deprecation.scm' 
somehow. Thanks for the tip.
I updated the patch with 'define-deprecated/public-alias'.

> gnu: Rename git-modes to emacs-git-modes.
>
> * gnu/packages/emacs-xyz.scm (git-modes): Deprecate and rename 
> to…
> (emacs-git-modes): … this.
>
I got the previous commit message from 3aeca58073, which seemed 
weird to me, but I thought it's the way to go.

I'll email the updated patch shortly.
> Cheers

Thanks